/****************************************************************************
*                                                                           *
*                            Third Year Project                             *
*                                                                           *
*                            An IBM PC Emulator                             *
*                          For Unix and X Windows                           *
*                                                                           *
*                             By David Hedley                               *
*                                                                           *
*                                                                           *
* This program is Copyrighted.  Consult the file COPYRIGHT for more details *
*                                                                           *
****************************************************************************/

#ifndef XSTUFF_H
#define XSTUFF_H

void x11_start_video(void);
void x11_end_video(void);
void x11_process_kbd_events(void);
void x11_flush_video(void);

void x11_copy(unsigned, unsigned, unsigned, unsigned, unsigned, unsigned);
void x11_draw_char(unsigned, unsigned, char, BYTE);
void x11_draw_line(unsigned, unsigned, char *, unsigned, BYTE);
void clear_screen(void);
void x11_window_size(unsigned, unsigned);

void x11_new_cursor(int, int);
void x11_put_cursor(unsigned, unsigned);
void x11_unput_cursor(void);

void x11_set_blink(int);

extern int graphics,blink;
#endif
